Note that the HBR capability only applies to HDMI pin.

Signed-off-by: Wu Fengguang <fengguang.wu@intel.com>
---
 sound/pci/hda/hda_codec.h |    1 +
 sound/pci/hda/hda_proc.c  |    5 ++++-
 2 files changed, 5 insertions(+), 1 deletion(-)

--- sound-2.6.orig/sound/pci/hda/hda_codec.h	2009-12-02 10:11:39.000000000 +0800
+++ sound-2.6/sound/pci/hda/hda_codec.h	2009-12-02 10:12:00.000000000 +0800
@@ -258,6 +258,7 @@ enum {
 #define AC_PINCAP_VREF			(0x37<<8)
 #define AC_PINCAP_VREF_SHIFT		8
 #define AC_PINCAP_EAPD			(1<<16)	/* EAPD capable */
+#define AC_PINCAP_HBR			(1<<27)	/* High Bit Rate */
 /* Vref status (used in pin cap) */
 #define AC_PINCAP_VREF_HIZ		(1<<0)	/* Hi-Z */
 #define AC_PINCAP_VREF_50		(1<<1)	/* 50% */
--- sound-2.6.orig/sound/pci/hda/hda_proc.c	2009-12-02 10:11:39.000000000 +0800
+++ sound-2.6/sound/pci/hda/hda_proc.c	2009-12-02 10:12:00.000000000 +0800
@@ -240,8 +240,11 @@ static void print_pin_caps(struct snd_in
 		/* Realtek uses this bit as a different meaning */
 		if ((codec->vendor_id >> 16) == 0x10ec)
 			snd_iprintf(buffer, " R/L");
-		else
+		else {
+			if (caps & AC_PINCAP_HBR)
+				snd_iprintf(buffer, " HBR");
 			snd_iprintf(buffer, " HDMI");
+		}
 	}
 	if (caps & AC_PINCAP_TRIG_REQ)
 		snd_iprintf(buffer, " Trigger");


